Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchAdvisor.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchAdvisor.java	(revision 3583)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchAdvisor.java	(revision 3584)
@@ -752,7 +752,7 @@
 				
 				final IWorkbench w = PlatformUI.getWorkbench();
 				if (w == null) {
-					System.out.println("no workbench"); //$NON-NLS-1$
+					//System.out.println("no workbench"); //$NON-NLS-1$
 					return;
 				}
 				
@@ -760,32 +760,33 @@
 					
 					@Override
 					public void run() {
-						try {
-							IWorkbenchWindow aww = w.getActiveWorkbenchWindow();
-							if (aww == null) {
-								System.out.println(TXMUIMessages.noActiveWorkbenchWindow);
-								return;
-							}
-							IWorkbenchPage page = aww.getActivePage();
-							if (page == null) {
-								System.out.println(TXMUIMessages.noActivePage);
-								return;
-							}
-							IViewPart view = page.findView("org.eclipse.pde.runtime.LogView"); //$NON-NLS-1$
-							if (view == null) {
-								view = page.showView("org.eclipse.pde.runtime.LogView"); //$NON-NLS-1$
-							}
-						}
-						catch (Exception e1) {
-							System.out.println(TXMUIMessages.partInitializationErrorColon + e1);
-							e1.printStackTrace();
-							return;
-						}
+//						try {
+//							IWorkbenchWindow aww = w.getActiveWorkbenchWindow();
+//							if (aww == null) {
+//								System.out.println(TXMUIMessages.noActiveWorkbenchWindow);
+//								return;
+//							}
+//							IWorkbenchPage page = aww.getActivePage();
+//							if (page == null) {
+//								System.out.println(TXMUIMessages.noActivePage);
+//								return;
+//							}
+//							IViewPart view = page.findView("org.eclipse.pde.runtime.LogView"); //$NON-NLS-1$
+//							if (view == null) {
+//								view = page.showView("org.eclipse.pde.runtime.LogView"); //$NON-NLS-1$
+//							}
+//						}
+//						catch (Exception e1) {
+//							System.out.println(TXMUIMessages.partInitializationErrorColon + e1);
+//							e1.printStackTrace();
+//							return;
+//						}
+						MessageDialog.openError(w.getDisplay().getActiveShell(), "Error", record.getMessage());
 					}
 				});
 				
-				IStatus s = new Status(Status.ERROR, Application.PLUGIN_ID, Status.OK, record.getMessage(), null);
-				StatusManager.getManager().handle(s, StatusManager.LOG);
+//				IStatus s = new Status(Status.ERROR, Application.PLUGIN_ID, Status.OK, record.getMessage(), null);
+//				StatusManager.getManager().handle(s, StatusManager.LOG);
 			}
 		}
 		
Index: TXM/trunk/org.txm.core/src/java/org/txm/objects/Project.java
===================================================================
--- TXM/trunk/org.txm.core/src/java/org/txm/objects/Project.java	(revision 3583)
+++ TXM/trunk/org.txm.core/src/java/org/txm/objects/Project.java	(revision 3584)
@@ -409,13 +409,14 @@
 				// Log.severe("Project._compute(): Import engine not found.");
 				
 				// no import set
-				Log.severe("Error: no improt module set. Aborting import.");
+				Log.severe("Error: no import module set. Aborting import.");
 				return false;
 			}
 			
 			Log.finest("RUNNING IMPORT MODULE WITH NAME = " + getImportModuleName());
 			
 			boolean state = engine.build(this, monitor.internalGetSubMonitor()) == Status.OK_STATUS;
+			
 			if (state == true) {
 				this.needToBuild = false;
 				// This step could be done only if the compiler step if done and only if it modifying/deleting the corpus builds
Index: TXM/trunk/org.txm.ahc.rcp/src/org/txm/ahc/rcp/handlers/ComputeAHC.java
===================================================================
--- TXM/trunk/org.txm.ahc.rcp/src/org/txm/ahc/rcp/handlers/ComputeAHC.java	(revision 3583)
+++ TXM/trunk/org.txm.ahc.rcp/src/org/txm/ahc/rcp/handlers/ComputeAHC.java	(revision 3584)
@@ -131,14 +131,13 @@
 				CA ca = new CA(lexicalTable);
 				ca.setVisible(false);
 				ahc = new AHC(ca);
-				
 			}
 			
 			ChartEditor.openEditor(ahc);
 		}
 		catch (Exception e) {
-			Log.severe(AHCCoreMessages.failToBuildTheAHCForSelectionP1DbldotP1 + selection + ": " + e); //$NON-NLS-2$
 			Log.printStackTrace(e);
+			Log.severe(AHCCoreMessages.bind(AHCCoreMessages.failToBuildTheAHCForSelectionP0DbldotP1, selection, e.getMessage()));
 			return null;
 		}
 		return ahc;
Index: TXM/trunk/org.txm.groovy.core/src/java/org/txm/groovy/core/GroovyScriptedImportEngine.java
===================================================================
--- TXM/trunk/org.txm.groovy.core/src/java/org/txm/groovy/core/GroovyScriptedImportEngine.java	(revision 3583)
+++ TXM/trunk/org.txm.groovy.core/src/java/org/txm/groovy/core/GroovyScriptedImportEngine.java	(revision 3584)
@@ -1,10 +1,6 @@
 package org.txm.groovy.core;
 
 import java.io.File;
-import java.util.ArrayList;
-import java.util.Arrays;
-import java.util.Collection;
-import java.util.List;
 import java.util.logging.Level;
 
 import org.eclipse.core.runtime.IProgressMonitor;
@@ -19,12 +15,8 @@
 import org.txm.core.messages.TXMCoreMessages;
 import org.txm.core.results.TXMResult;
 import org.txm.groovy.core.messages.GroovyMessages;
-import org.txm.objects.CorpusBuild;
-import org.txm.objects.Edition;
 import org.txm.objects.Project;
-import org.txm.objects.Text;
 import org.txm.objects.Workspace;
-import org.txm.searchengine.cqp.CQPSearchEngine;
 import org.txm.tokenizer.TokenizerClasses;
 import org.txm.utils.DeleteDir;
 import org.txm.utils.ExecTimer;
@@ -183,7 +175,8 @@
 			// System.out.println(NLS.bind(TXMUIMessages.errorWhileRunningScriptColonP0, e));
 			Log.printStackTrace(e);
 			Log.warning("Import failed: "+e);
-			return new Status(Status.ERROR, "org.txm.groovy.core", e.getMessage());
+			
+			return new Status(Status.ERROR, e.getClass().getCanonicalName(), e.getMessage());
 		}
 		finally {
 			// if (!CQPSearchEngine.isInitialized()) { // the import failed
Index: TXM/trunk/org.txm.ahc.core/src/org/txm/ahc/core/messages/messages_fr.properties
===================================================================
--- TXM/trunk/org.txm.ahc.core/src/org/txm/ahc/core/messages/messages_fr.properties	(revision 3583)
+++ TXM/trunk/org.txm.ahc.core/src/org/txm/ahc/core/messages/messages_fr.properties	(revision 3584)
@@ -10,7 +10,7 @@
 error_canNotComputeAHCWithLessThan4RowsInTheTable=** Impossible de calculer une classification avec moins de 4 lignes dans la table
 error_error2=null
 error_errorWhileExportingCAHToTXT=** Erreur durant l'exportation du résultat de la classification.
-failToBuildTheAHCForSelectionP1DbldotP1=Échec de la construction de la classification de la sélection 
+failToBuildTheAHCForSelectionP0DbldotP1=Échec de la construction de la classification de la sélection  {0} : {1}
 info_ahcOfTheP0ca=Classification basée sur l'Analyse des correspondances {0}...
 info_ahcOfTheP0LexcialTable=Classification de la table lexicale {0}...
 info_ahcOfTheP0PartitionCommaP1Property=Classification de la partition {0} selon la propriété {1}...
Index: TXM/trunk/org.txm.ahc.core/src/org/txm/ahc/core/messages/AHCCoreMessages.java
===================================================================
--- TXM/trunk/org.txm.ahc.core/src/org/txm/ahc/core/messages/AHCCoreMessages.java	(revision 3583)
+++ TXM/trunk/org.txm.ahc.core/src/org/txm/ahc/core/messages/AHCCoreMessages.java	(revision 3584)
@@ -46,7 +46,7 @@
 
 	public static String error_canNotComputeAHCWithLessThan4RowsInTheTable;
 
-	public static String failToBuildTheAHCForSelectionP1DbldotP1;
+	public static String failToBuildTheAHCForSelectionP0DbldotP1;
 	
 	
 	
Index: TXM/trunk/org.txm.ahc.core/src/org/txm/ahc/core/messages/messages.properties
===================================================================
--- TXM/trunk/org.txm.ahc.core/src/org/txm/ahc/core/messages/messages.properties	(revision 3583)
+++ TXM/trunk/org.txm.ahc.core/src/org/txm/ahc/core/messages/messages.properties	(revision 3584)
@@ -10,7 +10,7 @@
 error_canNotComputeAHCWithLessThan4RowsInTheTable=** Can not compute clustering with less than 4 rows in the table
 error_error2=
 error_errorWhileExportingCAHToTXT=** Error while exporting clustering result.
-failToBuildTheAHCForSelectionP1DbldotP1=Failed to build the clustering of the selection 
+failToBuildTheAHCForSelectionP0DbldotP1=Failed to build the clustering of the selection {0}: {1}
 info_ahcOfTheP0ca=Clustering based on the {0} Correspondence analysis…
 info_ahcOfTheP0LexcialTable=Clustering of the {0} lexical table...
 info_ahcOfTheP0PartitionCommaP1Property=Clustering of partition {0} on property {1}...
